### Method

# FwupdPlugin UsbDevice get_interface

since: 0.2.8

#### Declaration [src]

    FuUsbInterface*
    fu_usb_device_get_interface (
      FuUsbDevice* self,
      guint8 class_id,
      guint8 subclass_id,
      guint8 protocol_id,
      GError** error
    )

#### Description [src]

Gets the first interface that matches the vendor class interface descriptor. If you want to find all the interfaces that match (there may be other ‘alternate’ interfaces you have to use `fu_usb_device_get_interfaces()` and check each one manually.

Available since: 0.2.8

#### Parameters

`class_id`

  Type: `guint8`

  A device class, e.g. 0xff for VENDOR.

`subclass_id`

  Type: `guint8`

  A device subclass.

`protocol_id`

  Type: `guint8`

  A protocol number.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuUsbInterface`

A `FuUsbInterface` or `NULL` for not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.